# synfigapp::ConsoleUIInterface Class Reference

`#include <uimanager.h>`

Inheritance diagram for synfigapp::ConsoleUIInterface:

List of all members.

## Public Member Functions

Response | confirmation (const std::string &title, const std::string &primaryText, const std::string &secondaryText, const std::string &confirmPhrase, const std::string &cancelPhrase, Response dflt)
Response | yes_no (const std::string &title, const std::string &message, Response dflt)
Response | yes_no_cancel (const std::string &title, const std::string &message, Response dflt)
Response | ok_cancel (const std::string &title, const std::string &message, Response dflt)
bool | task (const std::string &task)
bool | error (const std::string &task)
bool | warning (const std::string &task)
bool | amount_complete (int current, int total)

## Member Function Documentation

UIInterface::Response ConsoleUIInterface::confirmation | ( | const std::string & | title,
|  | const std::string & | primaryText,
|  | const std::string & | secondaryText,
|  | const std::string & | confirmPhrase,
|  | const std::string & | cancelPhrase,
|  | Response | dflt |
| ) |  |  | `[virtual]`

Implements synfigapp::UIInterface.

References synfigapp::UIInterface::RESPONSE_CANCEL, and synfigapp::UIInterface::RESPONSE_OK.

UIInterface::Response ConsoleUIInterface::yes_no | ( | const std::string & | title,
|  | const std::string & | message,
|  | Response | dflt |
| ) |  |  | `[virtual]`

Implements synfigapp::UIInterface.

References _, synfigapp::UIInterface::RESPONSE_NO, and synfigapp::UIInterface::RESPONSE_YES.

UIInterface::Response ConsoleUIInterface::yes_no_cancel | ( | const std::string & | title,
|  | const std::string & | message,
|  | Response | dflt |
| ) |  |  | `[virtual]`

Implements synfigapp::UIInterface.

References _, synfigapp::UIInterface::RESPONSE_NO, and synfigapp::UIInterface::RESPONSE_YES.

UIInterface::Response ConsoleUIInterface::ok_cancel | ( | const std::string & | title,
|  | const std::string & | message,
|  | Response | dflt |
| ) |  |  | `[virtual]`

Implements synfigapp::UIInterface.

References _, synfigapp::UIInterface::RESPONSE_CANCEL, and synfigapp::UIInterface::RESPONSE_OK.

bool ConsoleUIInterface::task | ( | const std::string & | task | ) |

bool ConsoleUIInterface::error | ( | const std::string & | task | ) |

References _.

bool ConsoleUIInterface::warning | ( | const std::string & | task | ) |

References _.

bool ConsoleUIInterface::amount_complete | ( | int | current,
|  | int | total |
| ) |  |  |

The documentation for this class was generated from the following files:

- uimanager.h
- uimanager.cpp